---
tertiary:
  - name: "Bug fixes"
    available_in: [core, premium, ultimate]
    bug_fixes_url: "https://gitlab.com/gitlab-org/gitlab/-/issues/?sort=updated_desc&state=closed&milestone_title=15.7&label_name%5B%5D=type%3A%3Abug&first_page_size=20" # closed issues filtered by the given milestone and the ~"type::bug" label
    reporter: multiple
    # Important: Descriptions must be clear and communicated so that a non-expert reader can quickly grasp the benefit of the change
    # Structure: For consistency, do not end your [Description] with a period as not all titles will be complete sentences
    description: |
      Some of the notable bug fixes in 15.7 are:

      - [Groups can have no owner after deleting members](https://gitlab.com/gitlab-org/gitlab/-/issues/364147)
      - [Fix the PagerDuty webhook integration](https://gitlab.com/gitlab-org/gitlab/-/issues/383029)
      - [Fix potential security issues in webhook payloads](https://gitlab.com/gitlab-org/gitlab/-/issues/373819)
      - [Fix inclusion validation for CI entries](https://gitlab.com/gitlab-org/gitlab/-/issues/378368)
      - [Fix error-generating group access tokens when LDAP group sync is enabled](https://gitlab.com/gitlab-org/gitlab/-/issues/382710)
      - [Fix permissions for bot accounts so they don't create projects in their personal namespace](https://gitlab.com/gitlab-org/gitlab/-/issues/362683)
      - [Avoid collisions of ids while streaming audit events](https://gitlab.com/gitlab-org/gitlab/-/issues/381533)
      - [`EnqueueFromTransactionError` exception while enqueuing `AuditEventStreamingWorker`](https://gitlab.com/gitlab-org/gitlab/-/issues/363173)
      - [Changing the time zone does not affect audit logs](https://gitlab.com/gitlab-org/gitlab/-/issues/242014)
      - [Fix fields for the `securityReportFindings` GraphQL scanner](https://gitlab.com/gitlab-org/gitlab/-/issues/381601)
      - [Query `groupVulnerabilities` timeout when the **All statuses** filter is applied against a large set of vulnerabilities](https://gitlab.com/gitlab-org/gitlab/-/issues/381245)
      - [Vulnerability state changes to **Dismissed** when an MR that has a security finding with an issue is merged](https://gitlab.com/gitlab-org/gitlab/-/issues/383817)
      - [Query timeout issues on `Security::Scans::PurgeWorker`](https://gitlab.com/gitlab-org/gitlab/-/issues/383202)
      - [Changes in the audit events view remove all events when using an auditor account](https://gitlab.com/gitlab-org/gitlab/-/issues/384565)
      - [Fix visibility of the Service Desk name text box in general settings](https://gitlab.com/gitlab-org/gitlab/-/issues/368737)
      - [Fix a Service Desk incoming mail issue after upgrade to v15.3.1](https://gitlab.com/gitlab-org/gitlab/-/issues/371716)
      - [Exported relations in GitLab Migration fail to download if stored in S3 object storage](https://gitlab.com/gitlab-org/gitlab/-/issues/383056)
      - [GitLab Migration gets stuck in the importing state when migrating from CE to EE](https://gitlab.com/gitlab-org/gitlab/-/issues/375588)
      - [GitHub import doesn't associate the user even when they sign in using the GitHub icon](https://gitlab.com/gitlab-org/gitlab/-/issues/296604)
      - [Mirrored project with LFS files returns `Object does not exist on the server or you don't have permission to access it`](https://gitlab.com/gitlab-org/gitlab/-/issues/217925)
      - [Cancelation of GitHub repo import forwards to the GitLab user profile `auth`](https://gitlab.com/gitlab-org/gitlab/-/issues/345743)
      - [GitHub importer: `undefined method 'start_with?' for nil:NilClass`](https://gitlab.com/gitlab-org/gitlab/-/issues/385204)
      - [GitLab Migration UI hangs when updating namespace information](https://gitlab.com/gitlab-org/gitlab/-/issues/350984)
      - [GitHub API (Octokit) search query can grow too long and fail with an `HTTP 414 URI Too Long` error](https://gitlab.com/gitlab-org/gitlab/-/issues/332123)
      - [GitHub PR comment threads not imported correctly](https://gitlab.com/gitlab-org/gitlab/-/issues/383539)
      - [`Elastic::ProjectTransferWorker` should handle missing namespaces](https://gitlab.com/gitlab-org/gitlab/-/issues/378279)
      - [Convert `memory_limit` to bytes for `RssMemoryLimit`](https://gitlab.com/gitlab-org/gitlab/-/issues/383440)
      - [Incorrect storage statistics for `packages`](https://gitlab.com/gitlab-org/gitlab/-/issues/363010)
      - [Images are not deleted from the Container Registry UI](https://gitlab.com/gitlab-org/gitlab/-/issues/217702)
      - [Log error when failing to async delete container repositories](https://gitlab.com/gitlab-org/gitlab/-/issues/375604)
      - [Wildcard branch name not working](https://gitlab.com/gitlab-org/gitlab/-/issues/384049)
      - [Unable to unlink a security policy project when clicking the trash icon twice](https://gitlab.com/gitlab-org/gitlab/-/issues/382248)
      - [Scheduled scan execution policy does not work](https://gitlab.com/gitlab-org/gitlab/-/issues/384174)
      - [Scan result policy does not work when a user does not have permission to update project approval rules](https://gitlab.com/gitlab-org/gitlab/-/issues/383593)
      - [`AuditEvents::AuditEventStreamingWorker.perform_async` cannot be enqueued inside a transaction](https://gitlab.com/gitlab-org/gitlab/-/issues/382718)
      - [Using `group_approvers` with the project path results in invalid approval rules](https://gitlab.com/gitlab-org/gitlab/-/issues/382348)
      - [Switching policy projects results in old policies for new and existing MRs](https://gitlab.com/gitlab-org/gitlab/-/issues/377333)
      - [Disassociating a policy project means GitLab will silently ignore it when reapplied for existing MRs](https://gitlab.com/gitlab-org/gitlab/-/issues/377309)
      - [Improve scan execution policy permission checks when creating pipelines](https://gitlab.com/gitlab-org/gitlab/-/issues/367449)
      - [MR changes fail to load when the source or target branch is deleted and the MR has conflicts](https://gitlab.com/gitlab-org/gitlab/-/issues/383326)
      - [Database: Fix `InvalidColumnReference` for merge requests](https://gitlab.com/gitlab-org/gitlab/-/issues/373878)
      - [Database: Fix `ForeignKeyViolation` for merge requests](https://gitlab.com/gitlab-org/gitlab/-/issues/336657)
      - [Fix an edge case where an MR branch is not deleted](https://gitlab.com/gitlab-org/gitlab/-/issues/27347)
      - [Merge request widget actions ordered by importance, both visually and in the markup](https://gitlab.com/gitlab-org/gitlab/-/issues/376029)
      - [The **Changes** tab of an MR with no changes shows `NaN` instead of `0`](https://gitlab.com/gitlab-org/gitlab/-/issues/374090)
      - [The **Changes** tab breaks thread navigation in the **Overview** tab](https://gitlab.com/gitlab-org/gitlab/-/issues/372269)
      - [Thread navigation in the **Changes** tab causes unnecessary scrolling](https://gitlab.com/gitlab-org/gitlab/-/issues/372267)
      - [Going back to the **Changes** tab doesn't work with thread navigation](https://gitlab.com/gitlab-org/gitlab/-/issues/371079)
      - [Frequent automatic logouts for SAML users](https://gitlab.com/gitlab-org/gitlab/-/issues/121569)
      - [The `gitlab_user` resource always has `skip_confirmation=false`](https://gitlab.com/gitlab-org/terraform-provider-gitlab/-/issues/1349)
      - [Broken watch API: `error: stream error: stream ID 5; INTERNAL_ERROR; received from peer`](https://gitlab.com/gitlab-org/cluster-integration/gitlab-agent/-/issues/255)
      - [Multiple caches leading to a hash collision](https://gitlab.com/gitlab-org/gitlab/-/issues/362492)
      - [Downstream pipelines link in the mini-pipeline graph opens the MR page](https://gitlab.com/gitlab-org/gitlab/-/issues/367505)
      - [Dropdown in the mini-pipeline graph is difficult to interact with](https://gitlab.com/gitlab-org/gitlab/-/issues/250677)
      - [`/epic` quick actions are not resolved from Service Desk issue templates](https://gitlab.com/gitlab-org/gitlab/-/issues/300513)
      - [Allow customers to receive notifications from Service Desk issues after the issues are moved](https://gitlab.com/gitlab-org/gitlab/-/issues/372246)
      - [Require variable keys when scheduling a new pipeline](https://gitlab.com/gitlab-org/gitlab/-/issues/383870)
      - [GitLab.com pipeline jobs sometimes get stuck in the `created` status](https://gitlab.com/gitlab-org/gitlab/-/issues/382881)
      - [`deploy-job` ignores the previous stage if canceled and retried](https://gitlab.com/gitlab-org/gitlab/-/issues/207988)
      - [No protected environment approval option available on the environment index page](https://gitlab.com/gitlab-org/gitlab/-/issues/381873)
      - [Issue labels don't show in epics with both child epics and issues](https://gitlab.com/gitlab-org/gitlab/-/issues/378396)
      - [Spec failure: `spec/features/boards/boards_spec.rb:200`](https://gitlab.com/gitlab-org/gitlab/-/issues/383970)
      - [Geo: Workaround for when a backup cannot be restored with `pg_stat_statements` enabled](https://gitlab.com/gitlab-org/gitlab/-/issues/382208)
      - [SAST: `gl-sast-report.json` has incorrect ownership and/or permissions](https://gitlab.com/gitlab-org/gitlab/-/issues/378648)
      - [SAST: Various analyzers return `Could not detect git executable` warnings](https://gitlab.com/gitlab-org/gitlab/-/issues/347434)
      - [SAST: `kubesec` analyzer will not report all vulnerabilities for manifest with multiple objects](https://gitlab.com/gitlab-org/gitlab/-/issues/382552)
      - [SAST: Upstream `kics` analyzer v1.6.2 causes an `exit status` error](https://gitlab.com/gitlab-org/gitlab/-/issues/384079)
      - [Code Quality reports failing to populate the MR widget](https://gitlab.com/gitlab-org/gitlab/-/issues/368409)
      - [Work item is refetched with `id=null` when the task modal is closed](https://gitlab.com/gitlab-org/gitlab/-/issues/383228)
      - [Add missing hover text for the edit icon in task description](https://gitlab.com/gitlab-org/gitlab/-/issues/383081)
      - [Cannot assign a person to a task from the dropdown list or remove an assigned person](https://gitlab.com/gitlab-org/gitlab/-/issues/377391)
      - [Fix a bug in `uploads_rewriter`](https://gitlab.com/gitlab-org/gitlab/-/issues/374123)
      - [Fix errors that prevent project deletion](https://gitlab.com/gitlab-org/gitlab/-/issues/379023)
      - [`gemnasium-python` fails: `vrange/python` incompatible with `packaging` v22.0](https://gitlab.com/gitlab-org/gitlab/-/issues/385219)
